Bug 1023359 - oo-admin-check-source can not find that the rhel channel is disabled
oo-admin-check-source can not find that the rhel channel is disabled
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Pod (Show other bugs)
2.0.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: John W. Lamb
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 05:21 EDT by Ma xiaoqiang
Modified: 2017-03-08 12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-16 04:11:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ma xiaoqiang 2013-10-25 05:21:54 EDT
Description of problem:
oo-admin-check-source can not find out that  the rhel channel is disabled

Version-Release number of selected component (if applicable):
https://github.com/openshift/openshift-extras/tree/enterprise-2.0/admin/check-sources

How reproducible:
always

Steps to Reproduce:
1.use the following settings in /etc/rhsm/rhsm.conf:
    hostname=subscription.rhn.stage.redhat.com
    baseurl=https://cdn.rcm-qa.redhat.com 
2.register a subscription
# subscription-manager  subscribe --pool 8a99f98341c648100141d9bab4fc13b5   
3.make sure this subscription has disabled rhel-6-server-rpms repo, if not, run the command
#yum-config-manager --disable rhel-6-server-rpms --save 
4.check the resource
#./oo-admin-check-sources.py --role=node -o 1.2

Actual results:
Output
Checking if yum-plugin-priorities is installed
The required OpenShift Enterprise repositories are disabled: ['jb-ews-2-for-rhel-6-server-rpms']
Enable these repositories with the following commands:
# subscription-manager repos --enable=jb-ews-2-for-rhel-6-server-rpms
Checking channel/repository priorities
Resolving repository/channel/subscription priority conflicts
To resolve conflicting repositories, update repo priority by running:
# yum-config-manager --setopt=rhel-6-server-rpms.priority=20 rhel-6-server-rpms --save
The calculated priorities for the following repoids are too large (>= 99)
    rhel-6-server-rpms
The tool can not find that the RHEL channel is disabled 

Expected results:
The tool should find out this problem

Additional info:
Comment 3 Ma xiaoqiang 2013-10-27 21:19:02 EDT
1.check with rhn
# vim /etc/yum/pluginconf.d/rhnplugin.conf          
[rhel-x86_64-server-6]
priority = 10
enabled=0
#python oo-admin-check-sources.py -r broker -o 1.2 
Checking if yum-plugin-priorities is installed
The required OpenShift Enterprise repositories are disabled:
    rhel-x86_64-server-6
2.check with rhsm
# yum-config-manager --disable rhel-6-server-rpms 
# python oo-admin-check-sources.py -r node
This system is receiving updates from Red Hat Subscription Management.
If this system will be providing the JBossEAP cartridge, re-run this command with the --role=node-eap argument
Detected installed OpenShift Enterprise version 1.2
Checking if yum-plugin-priorities is installed
The required OpenShift Enterprise repositories are disabled:
    jb-ews-2-for-rhel-6-server-rpms
    rhel-6-server-rpms

Note You need to log in before you can comment on or make changes to this bug.